[Overview][Constants][Types][Classes][Procedures and functions][Index] | Reference for unit 'Grids' (#lcl)

# TCustomGrid.Sort

Sort method

## Declaration

Source position: grids.pas line 971

`protected procedure TCustomGrid.Sort(`
`ColSorting: Boolean;`
`index: Integer;`
`IndxFrom: Integer;`
`IndxTo: Integer`
`); virtual;`

## Description

Method to sort all items in the grid

If ColSorting is True, sorts the items in a column; otherwise sorts a row

The three given indexes specify the items to be sorted

The latest version of this document can be found at lazarus-ccr.sourceforge.net .